## hdmf 1.1.2

=== requirements.txt ===
certifi==2019.6.16
chardet==3.0.4
h5py==2.9.0
idna==2.8
numpy==1.16.4
python-dateutil==2.8.0
requests==2.22.0
ruamel.yaml==0.15.97
six==1.12.0
urllib3==1.25.3
pandas==0.24.2

=== debian/changelog ===
hdmf (1.1.2-1~nd18.10+1) cosmic; urgency=medium

  * Backported for cosmic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 09 Aug 2019 21:50:07 -0400

hdmf (1.1.2-1) unstable; urgency=low

  * Initial packaging (Closes: #932903)
     * created by stdeb 0.8.5 using
       py2dsc --with-python2=false --with-python3=true \
        --maintainer="... <debian-med-packaging@lists.alioth.debian.org>" \
        hdmf-1.1.2.tar.gz

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 09 Aug 2019 13:52:33 -0400

=== debian/control ===
Source: hdmf
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Section: python
Priority: optional
Build-Depends: dh-python, python3-setuptools, python3-all, debhelper (>= 9),
 python3-certifi,
 python3-chardet,
 python3-h5py,
 python3-idna,
 python3-numpy,
 python3-dateutil,
 python3-requests,
 python3-ruamel.yaml,
 python3-six,
 python3-urllib3,
 python3-pandas,
 python3-unittest2,
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/med-team/hdmf
Vcs-Git: https://salsa.debian.org/med-team/hdmf.git
Homepage: https://github.com/hdmf-dev/hdmf

Package: python3-hdmf
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends},
 python3-certifi,
 python3-chardet,
 python3-h5py,
 python3-idna,
 python3-numpy,
 python3-dateutil,
 python3-requests,
 python3-ruamel.yaml,
 python3-six,
 python3-urllib3,
 python3-pandas,
Description: Hierarchical Data Modeling Framework
 The Hierarchical Data Modeling Framework (HDMF) is a Python package
 for working with hierarchical data.  It provides APIs for specifying
 data models, reading and writing data to different storage backends,
 and representing data with Python object.

## hdmf 1.5.4

=== requirements.txt ===
h5py==2.10.0
numpy==1.18.1
scipy==1.4.1
pandas==0.25.3
ruamel.yaml==0.16.5

=== debian/changelog ===
hdmf (1.5.4-1) unstable; urgency=medium

  * Fresh upstream release - should be compatible with pynwb 1.2.1
  * Reupload to Debian (Closes: #932903)
  * debian/copyright
    - added missing entries for versioneer.py and
      tests/coloredtestrunner.py (thanks Thorsten Alteholz for
      spotting it)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 23 Jan 2020 21:55:49 -0500

hdmf (1.5.3-1) UNRELEASED; urgency=medium

  * Fresh upstream - should become compatible with upcoming pynwb
  * Reupload to Debian while 1.1.2-1 is still in NEW - rejected
  * debian/control
    - demand h5py >= 2.9 to provide unicode support

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 16 Jan 2020 19:16:23 -0500

hdmf (1.5.0-1) UNRELEASED; urgency=medium

  * New upstream release
    - added python3-scipy to B-Depends/Depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 07 Jan 2020 12:07:49 -0500

hdmf (1.1.2-1) UNRELEASED; urgency=low

  * Initial packaging
     * created by stdeb 0.8.5 using
       py2dsc --with-python2=false --with-python3=true \
        --maintainer="... <debian-med-packaging@lists.alioth.debian.org>" \
        hdmf-1.1.2.tar.gz

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 09 Aug 2019 13:52:33 -0400

=== debian/control ===
Source: hdmf
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Section: python
Priority: optional
Build-Depends: dh-python,
               python3-setuptools,
               python3-all,
               debhelper (>= 9),
               python3-certifi,
               python3-chardet,
               python3-h5py (>= 2.9~),
               python3-idna,
               python3-numpy,
               python3-scipy,
               python3-dateutil,
               python3-requests,
               python3-ruamel.yaml,
               python3-six,
               python3-urllib3,
               python3-pandas,
               python3-unittest2
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/hdmf
Vcs-Git: https://salsa.debian.org/med-team/hdmf.git
Homepage: https://github.com/hdmf-dev/hdmf

Package: python3-hdmf
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-certifi,
         python3-chardet,
         python3-h5py (>= 2.9~),
         python3-idna,
         python3-numpy,
         python3-scipy,
         python3-dateutil,
         python3-requests,
         python3-ruamel.yaml,
         python3-six,
         python3-urllib3,
         python3-pandas
Description: Hierarchical Data Modeling Framework
 The Hierarchical Data Modeling Framework (HDMF) is a Python package
 for working with hierarchical data.  It provides APIs for specifying
 data models, reading and writing data to different storage backends,
 and representing data with Python object.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Thu, 08 Aug 2019 17:19:27 -0400
export PYBUILD_NAME=hdmf
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
# please also check http://pypi.debian.net/hdmf/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/hdmf/hdmf-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## hdmf 1.6.1

=== debian/changelog ===
hdmf (1.6.1-1) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 10 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in debian/watch.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * debhelper-compat 12 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 14 May 2020 10:52:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: dh-python,
                python3-setuptools,
                python3-all,
-               debhelper (>= 9),
+               debhelper-compat (= 12),
                python3-certifi,
                python3-chardet,
                python3-h5py (>= 2.9~),
@@ -20,10 +21,11 @@
                python3-urllib3,
                python3-pandas,
                python3-unittest2
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/hdmf
 Vcs-Git: https://salsa.debian.org/med-team/hdmf.git
 Homepage: https://github.com/hdmf-dev/hdmf
+Rules-Requires-Root: no
 
 Package: python3-hdmf
 Architecture: all

## hdmf 2.2.0

=== requirements.txt ===
h5py==2.10.0
numpy==1.18.5
scipy==1.4.1
pandas==0.25.3
ruamel.yaml==0.16.10

=== debian/changelog ===
hdmf (2.2.0-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Slight copyright fix

  [ Nilesh Patra ]
  * New upstream version 2.2.0
  * debhelper-compat 13 (routine-update)
  * create manpages

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 19 Sep 2020 21:29:19 +0530

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: dh-python,
                python3-setuptools,
                python3-all,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                python3-certifi,
                python3-chardet,
                python3-h5py (>= 2.9~),

=== debian/watch ===
# please also check http://pypi.debian.net/hdmf/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/hdmf/hdmf-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## hdmf 2.3.0

=== requirements.txt ===
# pinned dependencies to reproduce an entire development environment to use HDMF
h5py==2.10.0
numpy==1.19.3
scipy==1.5.4
pandas==1.1.4
ruamel.yaml==0.16.12
jsonschema==3.2.0

=== debian/changelog ===
hdmf (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #973148
  * Standards-Version: 4.5.1 (routine-update)
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 09 Dec 2020 09:01:56 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                python3-urllib3,
                python3-pandas,
                python3-unittest2
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/hdmf
 Vcs-Git: https://salsa.debian.org/med-team/hdmf.git
 Homepage: https://github.com/hdmf-dev/hdmf

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,3 @@
 export PYBUILD_NAME=hdmf
 %:
 	dh $@ --with python3 --buildsystem=pybuild
-

=== debian/watch ===
# please also check http://pypi.debian.net/hdmf/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/hdmf/hdmf-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## hdmf 3.1.1

=== requirements.txt ===
# pinned dependencies to reproduce an entire development environment to use HDMF
h5py==3.3.0
numpy==1.21.1
scipy==1.7.0
pandas==1.3.1
ruamel.yaml==0.17.10
jsonschema==3.2.0
setuptools==57.4.0

=== debian/changelog ===
hdmf (3.1.1-2) unstable; urgency=medium

  * Team Upload.
  * Fix python3.10 FTBFS (Closes: #1002355)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 22 Dec 2021 21:35:59 +0530

hdmf (3.1.1-1) unstable; urgency=medium

  * Team Upload.
  * Fix copyright
  * d/rules: set LC_ALL to C.UTF-8 to make build reproducible
  * Update manpage
  * d/tests: Add non-superficial autopkgtests
    use same build time tests in autopkgtests
  * New upstream version 3.1.1

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 19:07:43 +0530

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Thu, 08 Aug 2019 17:19:27 -0400
export LC_ALL=C.UTF-8
export PYBUILD_NAME=hdmf
%:
	dh $@ --with python3 --buildsystem=pybuild

## hdmf 3.3.1

=== debian/changelog ===
hdmf (3.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.3.1
  * Drop patches
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 29 May 2022 11:17:34 +0530

## hdmf 3.3.2

=== requirements.txt ===
# pinned dependencies to reproduce an entire development environment to use HDMF
h5py==3.6.0
jsonschema==4.5.1
numpy==1.21.5  # note that numpy 1.22 dropped python 3.7 support
pandas==1.3.5  # note that pandas 1.4 dropped python 3.7 support
ruamel.yaml==0.17.21
scipy==1.7.3   # note that scipy 1.8 dropped python 3.7 support
setuptools==62.2.0

=== debian/changelog ===
hdmf (3.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 19 Jul 2022 14:45:36 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                python3-urllib3,
                python3-pandas,
                python3-unittest2
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/hdmf
 Vcs-Git: https://salsa.debian.org/med-team/hdmf.git
 Homepage: https://github.com/hdmf-dev/hdmf

## hdmf 3.4.0

=== debian/changelog ===
hdmf (3.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.4.0

 -- Nilesh Patra <nilesh@debian.org>  Fri, 26 Aug 2022 20:57:53 +0530

## hdmf 3.4.6

=== requirements.txt ===
# pinned dependencies to reproduce an entire development environment to use HDMF
# note that python 3.7 end of life is 27 Jun 2023
h5py==3.7.0
jsonschema==4.9.1
numpy==1.21.5  # note that numpy 1.22 dropped python 3.7 support
pandas==1.3.5  # note that pandas 1.4 dropped python 3.7 support
ruamel.yaml==0.17.21
scipy==1.7.3   # note that scipy 1.8 dropped python 3.7 support
setuptools==63.4.1

=== debian/changelog ===
hdmf (3.4.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 11 Oct 2022 20:48:38 +0200

## hdmf 3.4.7

=== requirements.txt ===
# pinned dependencies to reproduce an entire development environment to use HDMF
# note that python 3.7 end of life is 27 Jun 2023
h5py==3.7.0
jsonschema==4.9.1
numpy==1.23.3;python_version>='3.8'
numpy==1.21.5;python_version<'3.8'  # note that numpy 1.22 dropped python 3.7 support
pandas==1.5.0;python_version>='3.8'
pandas==1.3.5;python_version<'3.8'  # note that pandas 1.4 dropped python 3.7 support
ruamel.yaml==0.17.21
scipy==1.9.3;python_version>='3.8'
scipy==1.7.3;python_version<'3.8'   # note that scipy 1.8 dropped python 3.7 support
setuptools==65.4.1

=== debian/changelog ===
hdmf (3.4.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Lance Lin <lqi254@protonmail.com>  Wed, 23 Nov 2022 20:56:24 +0700

## hdmf 3.5.1

=== requirements.txt ===
--- 
+++ 
@@ -9,4 +9,4 @@
 ruamel.yaml==0.17.21
 scipy==1.9.3;python_version>='3.8'
 scipy==1.7.3;python_version<'3.8'   # note that scipy 1.8 dropped python 3.7 support
-setuptools==65.4.1
+setuptools==65.5.1

=== debian/changelog ===
hdmf (3.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 05 Feb 2023 21:40:33 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                python3-urllib3,
                python3-pandas,
                python3-unittest2
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/hdmf
 Vcs-Git: https://salsa.debian.org/med-team/hdmf.git
 Homepage: https://github.com/hdmf-dev/hdmf

## hdmf 3.11.0

=== requirements.txt ===
# pinned dependencies to reproduce an entire development environment to use HDMF
h5py==3.10.0
importlib-resources==6.1.0; python_version < "3.9"  # TODO: remove when minimum python version is 3.9
jsonschema==4.19.1
numpy==1.26.1
pandas==2.1.2
ruamel.yaml==0.18.2
scipy==1.11.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS     =
SPHINXBUILD    = sphinx-build
SPHINXAPIDOC   = sphinx-apidoc
PAPER          =
BUILDDIR       = _build
SRCDIR         = ../src
RSTDIR         = source
GALLERYDIR     = gallery
PKGNAME        = hdmf

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(RSTDIR)
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  clean      to clean all documents built by Sphinx in _build"
	@echo "  apidoc     to build RST from source code"

clean:
	-rm -rf $(BUILDDIR)/* $(RSTDIR)/$(PKGNAME)*.rst $(GALLERYDIR)/*.hdf5 $(GALLERYDIR)/*.sqlite $(RSTDIR)/tutorials

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/sample.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/sample.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/sample"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/sample"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

apidoc:
	$(SPHINXAPIDOC) -f -e --no-toc -o $(RSTDIR) $(SRCDIR)
	@echo "Build rst docs from source code."

=== debian/changelog ===
hdmf (3.11.0-2) unstable; urgency=medium

  * Team upload.
  * Drop python3-unittest2 from Build-Depends
    Closes: #1058965
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 20 Dec 2023 17:18:29 +0100

hdmf (3.11.0-1) unstable; urgency=medium

  * Team Upload.
  * Add d/gbp.conf to filter out useless files
  * New upstream version 3.11.0 (Closes: #1056408)
  * Update Build-Deps and Depends
  * Update manpage(s)
  * d/copyright: Stop mentioning versioneer.py as this is
    not present any longer in the source package

 -- Nilesh Patra <nilesh@debian.org>  Sat, 09 Dec 2023 22:24:05 +0530

=== debian/control ===
Source: hdmf
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-setuptools,
               python3-all,
               python3-hatchling,
               python3-hatch-vcs,
               debhelper-compat (= 13),
               python3-h5py,
               python3-jsonschema,
               python3-numpy,
               python3-scipy,
               python3-dateutil,
               python3-ruamel.yaml,
               python3-pandas
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/hdmf
Vcs-Git: https://salsa.debian.org/med-team/hdmf.git
Homepage: https://github.com/hdmf-dev/hdmf
Rules-Requires-Root: no

Package: python3-hdmf
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-h5py,
         python3-jsonschema,
         python3-numpy,
         python3-scipy,
         python3-dateutil,
         python3-ruamel.yaml,
         python3-pandas
Description: Hierarchical Data Modeling Framework
 The Hierarchical Data Modeling Framework (HDMF) is a Python package
 for working with hierarchical data.  It provides APIs for specifying
 data models, reading and writing data to different storage backends,
 and representing data with Python object.

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,4 @@
 export LC_ALL=C.UTF-8
 export PYBUILD_NAME=hdmf
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

## hdmf 3.14.3

=== debian/changelog ===
hdmf (3.14.3-1) unstable; urgency=medium

  * New upstream version 3.14.3
  * d/copyright: update copyright years.
  * d/control: add myself to uploaders.
  * d/control: declare compliance to standards version 4.7.0.
  * d/rules: fix permission on script missing shebang.
  * d/docs: new: install hdmf schemas in documentation directory.
  * d/rules: remove the extra license file from documentation.
  * d/rules: remove duplicate documentation in dist-packages.
  * d/s/lintian-overrides: hide false positive caused by #1077324.

 -- Étienne Mollier <emollier@debian.org>  Sun, 01 Sep 2024 14:05:02 +0200

## hdmf 3.14.4

=== debian/changelog ===
hdmf (3.14.4-1) unstable; urgency=medium

  * New upstream version 3.14.4

 -- Étienne Mollier <emollier@debian.org>  Tue, 10 Sep 2024 21:31:20 +0200

## hdmf 3.14.5

=== requirements.txt ===
# pinned dependencies to reproduce an entire development environment to use HDMF
h5py==3.11.0
importlib-resources==6.1.0; python_version < "3.9"  # TODO: remove when minimum python version is 3.9
jsonschema==4.22.0
numpy==1.26.4  # TODO: numpy 2.0.0 is supported by hdmf but incompatible with pandas and scipy
pandas==2.2.2; python_version >= "3.9"
pandas==2.1.2; python_version < "3.8"  # TODO: remove when minimum python version is 3.9
ruamel.yaml==0.18.2
scipy==1.14.0; python_version >= "3.10"
scipy==1.11.3; python_version < "3.10"

=== docs/Makefile ===
--- 
+++ 
@@ -149,7 +149,7 @@
 	@echo "The overview file is in $(BUILDDIR)/changes."
 
 linkcheck:
-	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
+	$(SPHINXBUILD) -W -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
 	@echo
 	@echo "Link check complete; look for any errors in the above output " \
 	      "or in $(BUILDDIR)/linkcheck/output.txt."

=== debian/changelog ===
hdmf (3.14.5-1) unstable; urgency=medium

  * New upstream version 3.14.5
  * d/s/lintian-overrides: delete: false positive has been fixed.

 -- Étienne Mollier <emollier@debian.org>  Sat, 02 Nov 2024 15:25:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: hdmf
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Yaroslav Halchenko <debian@onerussian.com>
+Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
+           Étienne Mollier <emollier@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
@@ -18,7 +19,7 @@
                python3-dateutil,
                python3-ruamel.yaml,
                python3-pandas
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/hdmf
 Vcs-Git: https://salsa.debian.org/med-team/hdmf.git
 Homepage: https://github.com/hdmf-dev/hdmf

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,22 @@
 export PYBUILD_NAME=hdmf
 %:
 	dh $@ --buildsystem=pybuild
+
+PKG = python3-hdmf
+PKG_ROOT = $(CURDIR)/debian/$(PKG)
+DIST_DIR = $(PKG_ROOT)/usr/lib/python3/dist-packages
+DOC_DIR = $(PKG_ROOT)/usr/share/doc/$(PKG)
+
+execute_after_dh_installdocs:
+	rm -vf $(DOC_DIR)/hdmf-common-schema/license.txt
+
+execute_after_dh_python3:
+	# These files holds documentation handled by d/docs.
+	rm -rvf $(DIST_DIR)/hdmf/common/hdmf-common-schema/docs
+	rm -vf $(DIST_DIR)/hdmf/common/hdmf-common-schema/Legal.txt
+	rm -vf $(DIST_DIR)/hdmf/common/hdmf-common-schema/README.md
+	rm -vf $(DIST_DIR)/hdmf/common/hdmf-common-schema/license.txt
+	rm -vf $(DIST_DIR)/hdmf/common/hdmf-common-schema/requirements-doc.txt
+
+execute_after_dh_fixperms:
+	chmod -x $(DIST_DIR)/hdmf/testing/validate_spec.py

## hdmf zarr-0.1.3

=== requirements.txt ===
# pinned dependencies to reproduce an entire development environment to use HDMF-ZARR
hdmf==3.4.0
zarr==2.11.0
numcodecs==0.9.1
pynwb==2.0.1
